CVE-2018-6543

CVE: CVE-2018-6543
Published: 2018-02-02T09:29Z
Vendor: gnu
Products: binutils
Versions: 2.30,
Description Language: en
Description: In GNU Binutils 2.30, there’s an integer overflow in the function load_specific_debug_section() in objdump.c, which results in `malloc()` with 0 size. A crafted ELF file allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact.
References:
http://www.securityfocus.com/bid/102985
https://sourceware.org/bugzilla/show_bug.cgi?id=22769